GET /v1/commerce/abandoned-carts
GET
/v1/commerce/abandoned-cartsAuthorization
bearerAuthbearerAuthrequiredor
apiKeyAuthapiKeyAuthrequiredQuery parameters
idle_hoursinteger<int32>min 1 · max 168 · default: 24
limitinteger<int32>min 1 · max 100 · default: 20
offsetinteger<int32>min 0 · default: 0
Responses
200OK
itemsAbandonedStorefrontCart[] | nullrequiredShow propertiesHide properties
Array of
AbandonedStorefrontCartexpires_atstring<date-time>requiredidstringrequiredline_countinteger<int64>requiredpreview_slugsstring[] | nullupdated_atstring<date-time>requireddefaultError
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstringRequest
curl -X GET "/v1/commerce/abandoned-carts"const response = await fetch("/v1/commerce/abandoned-carts", {
method: "GET"
});import requests
response = requests.get(
"/v1/commerce/abandoned-carts",
)Response
{
"items": [
{
"expires_at": "2024-01-01T00:00:00Z",
"id": "string",
"line_count": 0,
"preview_slugs": [
"string"
],
"updated_at": "2024-01-01T00:00:00Z"
}
]
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}